<button class="btn btn-outline-info" (click)="lastStep()">zurück zur Auswahl</button>
<div class="row my-3">
  <div class="col-md-4 order-md-2 mb-4">
    <div class="card mb-3">
      <div class="card-heading">
        <h5>Warenkorb</h5>
      </div>
      <div class="card-body" *ngIf="productPlan">
        <ul class="list-group mb-3">
          <li class="list-group-item d-flex justify-content-between">
            <div>
              <h6 class="my-0">Abonnement</h6>
              <small class="text-muted">{{productPlan.nickname}}</small>
            </div>
            <span class="text-muted">{{productPlan.amount / 100}} €</span>
          </li>
          <li class="list-group-item d-flex justify-content-between">
            <span>Total (EUR)</span>
            <strong>{{productPlan.amount / 100}} €</strong>
          </li>
        </ul>
      </div>
    </div>
  </div>
  <div class="col-md-8 order-md-1">
    <div class="card">
      <div class="card-heading">
        <h5>Rechnungsadresse</h5>
      </div>
      <div class="card-body">
        <form *ngIf="invoice" #f="ngForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label for="firstnameInput" class="required">Vorname</label>
              <input id="firstnameInput" class="form-control" type="text"
                     #firstname="ngModel" [(ngModel)]="invoice.firstName"
                     name="firstnameInput" placeholder="z.B. Daisy"
                     required>
              <app-show-form-errors [control]="firstname"></app-show-form-errors>
            </div>
            <div class="form-group col-md-6">
              <label for="lastnameInput" class="required">Nachname</label>
              <input id="lastnameInput" class="form-control" type="text"
                     #lastname="ngModel" [(ngModel)]="invoice.lastName"
                     name="lastnameInput" placeholder="z.B. Duck"
                     required>
              <app-show-form-errors [control]="lastname"></app-show-form-errors>
            </div>
          </div>
          <hr>
          <eos-address-form [address]="invoice.address" [required]="true"></eos-address-form>
        </form>
        <hr>
        <h5>Zahlungsart</h5>
        <div>
          <form class="mt-3" id="subscription-form" *ngIf="invoice && organization">
            <ul class="list-group">
              <li *ngFor="let method of paymentMethods" class="list-group-item stripe-payment-method-radio">
                <div class="custom-control custom-radio">
                  <input type="radio" id="customRadio{{method.id}}" name="paymentRadio" class="custom-control-input" (change)="selectedPaymentMethod = method">
                  <label class="custom-control-label pl-3" for="customRadio{{method.id}}">
                    <i class="fab fa-cc-{{method.card.brand}}"></i>
                    ****{{method.card.last4}} <span class="ml-3">{{method.card.exp_month}} / {{method.card.exp_year}}</span>
                  </label>
                </div>
              </li>
              <li class="list-group-item">
                Neue Karte hinzufügen
                <div class="input-group">
                  <div class="input-group-prepend">
                    <div class="input-group-text">
                      <input type="radio" id="newMethodRadio" name="paymentRadio" aria-label="Radio button for following text input" (change)="selectedPaymentMethod = 'new'">
                    </div>
                  </div>
                  <span class="form-control stripe-input" id="card-element" #cardElementRef></span>
                  <div class="form-input-error">
                    <span id="card-errors"></span>
                  </div>
                </div>
              </li>
            </ul>
          </form>
        </div>
        <div>
          <small>
            Die Zahlungsabwicklung erfolgt über den Paymentdienstleister Stripe Payments Europe Ltd., 1 Grand Canal Street Lower,
            Grand Canal Dock, Dublin, Irland, an den wir Ihre im Rahmen des Bestellvorgangs mitgeteilten Informationen
            nebst den Informationen über Ihre Bestellung (Name, Anschrift, Kontonummer, Bankleitzahl, evtl.
            Kreditkartennummer, Rechnungsbetrag, Währung und Transaktionsnummer) gemäß Art. 6 Abs. 1 lit. b DSGVO
            weitergeben. Die Weitergabe Ihrer Daten erfolgt ausschließlich zum Zwecke der Zahlungsabwicklung mit dem
            Payment-Dienstleister Stripe Payments Europe Ltd. und nur insoweit, als sie hierfür erforderlich ist.
            Nähere Informationen zum Datenschutz von Stripe finden Sie unter der URL
            https://stripe.com/de/privacy#translation.
          </small>
        </div>
        <div class="form-check">
          <input class="form-check-input" type="checkbox" name="agbCheck" id="agbCheck" [(ngModel)]="agbCheck">
          <label class="form-check-label" for="agbCheck">
            Ich akzeptiere die Nutzungbedingungen.
          </label>
        </div>
        <button (click)="submitStripeSubscription()" class="btn btn-success btn-block mt-3"
                [disabled]="checkoutLoading || !agbCheck || selectedPaymentMethod == null">
          <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"
                *ngIf="checkoutLoading"></span>
          <span class="sr-only" *ngIf="checkoutLoading">Loading...</span>
          <i class="fas fa-money-bill"></i>
          bezahlen
        </button>
      </div>
    </div>
  </div>
</div>

<ng-template #aboErrorModal>
  <div class="modal-body">
    <h4>Fehler</h4>
    <p>{{checkoutError.message}}</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modalRef.hide()">
      <i class="fa fa-ban" aria-hidden="true"></i> schließen
    </button>
  </div>
</ng-template>